Package ghidra.pty.linux

# Interface PosixC

All Superinterfaces:
  `com.sun.jna.Library`

public interface PosixC extends com.sun.jna.Library
Interface for POSIX functions in libc

The functions are not documented here. Instead see the POSIX manual pages.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `PosixC.Termios`
  `static class`
  `PosixC.Winsize`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `com.sun.jna.Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PosixC`
  `BARE`
  The bare library without error handling
  `static final PosixC`
  `INSTANCE`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `close(int fd)`
  `int`
  `dup2(int oldfd, int newfd)`
  `int`
  `execv(String path, String[] argv)`
  `int`
  `ioctl(int fd, int cmd, com.sun.jna.Pointer... args)`
  `int`
  `open(String path, int mode, int flags)`
  `int`
  `read(int fd, com.sun.jna.Pointer buf, int len)`
  `int`
  `setsid()`
  `String`
  `strerror(int errnum)`
  `int`
  `tcgetattr(int fd, PosixC.Termios.ByReference termios_p)`
  `int`
  `tcsetattr(int fd, int optional_actions, PosixC.Termios.ByReference termios_p)`
  `int`
  `write(int fd, com.sun.jna.Pointer buf, int i)`

- ## Field Details

  - ### BARE

    static final PosixC BARE
    The bare library without error handling
    See Also:
      - `Util.BARE`

  - ### INSTANCE

    static final PosixC INSTANCE

- ## Method Details

  - ### strerror

    String strerror(int errnum)

  - ### close

    int close(int fd)

  - ### read

    int read(int fd, com.sun.jna.Pointer buf, int len)

  - ### write

    int write(int fd, com.sun.jna.Pointer buf, int i)

  - ### setsid

    int setsid()

  - ### open

    int open(String path, int mode, int flags)

  - ### dup2

    int dup2(int oldfd, int newfd)

  - ### execv

    int execv(String path, String[] argv)

  - ### ioctl

    int ioctl(int fd, int cmd, com.sun.jna.Pointer... args)

  - ### tcgetattr

    int tcgetattr(int fd, PosixC.Termios.ByReference termios_p)

  - ### tcsetattr

    int tcsetattr(int fd, int optional_actions, PosixC.Termios.ByReference termios_p)